#include <Arduino.h>

int ledPin = 1;

#define output *((volatile byte *)(0x0400 + 0x04))
#define input *((volatile byte*)(0x0400 + 0x08))
#define DataDirection *((volatile byte*) (0x0400 + 0x00))
#define Pincontrol *((volatile byte*) (0x0400 + 0x10 + 3*0x01))


void setup()
{
  DataDirection = B10000000;              // Defines OUTPUT as PA7 and INPUT as PA3
  Pincontrol |= PORT_PULLUPEN_bm; // Makes the button pin read as HIGH if button isn't pushed
  output = B10000000;
  input = B00001000;
}

void loop()
{
  if (!(input &= (1 << 3))) // Button Is Pushed
  {
    output &= ~(1 << 7); // LED will stay on B01111111
  }
  else
  {
    output |= (1 << 7); // LED turns off
  }
}
